Page MenuHomePhabricator

Parsoid should not disable GC unless a config var is set
Closed, DeclinedPublic

Description

For LTS we should probably protect the code which disables GC with a configuration variable, and set it to true in production but false by default.

Event Timeline

cscott created this task.Jul 8 2020, 2:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2020, 2:36 PM

Change 610339 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] Make garbage collection on PHP 7.2 configurable via ParsoidSettings

https://gerrit.wikimedia.org/r/610339

Change 610341 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[operations/mediawiki-config@master] Make GC in PHP 7.2 configurable in Parsoid, but don't change production

https://gerrit.wikimedia.org/r/610341

cscott added a comment.Jul 8 2020, 6:40 PM

Not entirely sold on this because the code required is a little bit heavyweight, but these are the patches required if we decide to do this.

ssastry added a subscriber: ssastry.Jul 9 2020, 5:36 PM

I am not convinced yet we need to do this. We can chat in today's meeting.

Change 610341 abandoned by C. Scott Ananian:
[operations/mediawiki-config@master] Make GC in PHP 7.2 configurable in Parsoid, but don't change production

Reason:
We decided we didn't need to make this configurable.

https://gerrit.wikimedia.org/r/610341

Change 610339 abandoned by C. Scott Ananian:
[mediawiki/services/parsoid@master] Make garbage collection on PHP 7.2 configurable via ParsoidSettings

Reason:
We decided we didn't need to make this configurable.

https://gerrit.wikimedia.org/r/610339

ssastry closed this task as Declined.Jul 15 2020, 4:36 PM